GET Receipts

​

Endpoint will return all receipts

Path Parameters

  • Customer account UUID

Headers

  • Accept header

  • Authorization header

  • Content-Type header

  • API version

  • Application key

  • Unique Request identifier

Body

application/json
Empty object

Responses

  • application/json
Request Example for get/customer-accounts/{customer_id}/receipts
curl https://api-public-demo.menu.app/api/customer-accounts/47bf5f70-3f23-11ed-936c-1a67b454859d/receipts \
  --header 'Accept: application/json' \
  --header 'Authorization: ' \
  --header 'Content-Type: application/json' \
  --header 'API-VERSION: ' \
  --header 'Application: ' \
  --header 'X-Request-ID: c10b4a70-6274-490d-80a0-03e7bb826937' \
  --data '{}'
{
  "status": "OK",
  "code": 200,
  "data": {
    "receipts": [
      {
        "id": "e1a91efb-6398-4abe-a41e-3407632c8245",
        "receipt_number": "JJSOU",
        "order_type": 4,
        "status": "SendDelayed",
        "status_changed_by": "System",
        "is_test": true,
        "subtotal": 0,
        "discount": 0,
        "subsidy": 0,
        "service_charge": 0,
        "service_charge_rate": 0,
        "service_charge_tax_rate": 0,
        "delivery_fee_tax_rate": 0,
        "tip": 0,
        "tip_rate": 0,
        "delivery_fee": 0,
        "delivery_fee_tax": 0,
        "minimum_surcharge": 0,
        "minimum_surcharge_tax": 0,
        "minimal_order_amount": 0,
        "total": 0,
        "tax": 219,
        "tax_exemption": 0,
        "tax_rates": {
          "5": 219
        },
        "tax_rates_exemption": {
          "5": 0
        },
        "refunded": 0,
        "order_items": [
          {
            "type_id": 1,
            "menu_item_id": "19a394da-3f23-11ed-936c-1a67b454859d",
            "pos_id": "4003501",
            "unpaid_item_hash": "\"\"",
            "name": "Làpana Bowl",
            "translations": {
              "name": "Cuenco de lapana"
            },
            "type": "Food",
            "is_self_serving": true,
            "quantity": 1,
            "subtotal": 1999,
            "discount": 0,
            "service_charge": 0,
            "total": 1999,
            "tax": 95,
            "tax_rate": 5,
            "comment": "test comment menu item 1",
            "price_level": {
              "menu_item_price_level_id": "0ffb254c-3f23-11ed-936c-1a67b454859d",
              "pos_id": "4003501",
              "name": "string",
              "translations": {
                "name": "\"\""
              },
              "price": 1999
            },
            "modifiers": [
              {
                "modifier_id": "2049c354-3f23-11ed-936c-1a67b454859d",
                "pos_id": "4003501",
                "name": "Spicy brokoli",
                "translations": {
                  "name": "brócoli picante"
                },
                "price": 0
              }
            ],
            "image": {
              "thumbnail_small": "/storage/images/item_images/_thumbs280/2021-09-08/233451fe2256b3acf14ee5288e1b7dd0.png",
              "thumbnail_medium": "/storage/images/item_images/_thumbs720/2021-09-08/233451fe2256b3acf14ee5288e1b7dd0.png",
              "fullsize": "/storage/images/item_images/2021-09-08/233451fe2256b3acf14ee5288e1b7dd0.png"
            }
          }
        ],
        "combo_meals": [
          {
            "type_id": 1,
            "combo_meal_id": "04abaf54-3f23-11ed-936c-1a67b454859d",
            "pos_id": "4003501",
            "name": "Combos regulares",
            "custom_name": "Acai Bowl Early Nene-nui Combo ",
            "translations": {
              "name": "Combos regulares",
              "custom_name": "Combo Cuenco Nene-nui Temprano con Acai"
            },
            "quantity": 1,
            "subtotal": 2599,
            "discount": 0,
            "service_charge": 0,
            "total": 2599,
            "tax": 124,
            "tax_rates": {
              "5": 124
            },
            "items": [
              {
                "type_id": 3,
                "menu_item_id": "19a394da-3f23-11ed-936c-1a67b454859d",
                "pos_id": "4003501",
                "unpaid_item_hash": "\"\"",
                "name": "Làpana Bowl",
                "translations": {
                  "name": "Cuenco de lapana"
                },
                "type": "Food",
                "is_self_serving": true,
                "quantity": 1,
                "subtotal": 2599,
                "discount": 0,
                "service_charge": 0,
                "total": 2599,
                "tax": 124,
                "tax_rate": 5,
                "comment": "test comment combo item 1",
                "price_level": {
                  "menu_item_price_level_id": "0ffb254c-3f23-11ed-936c-1a67b454859d",
                  "pos_id": "4003501",
                  "name": "string",
                  "translations": {
                    "name": "string"
                  },
                  "price": 2599
                },
                "modifiers": [
                  {
                    "modifier_id": "2049c354-3f23-11ed-936c-1a67b454859d",
                    "pos_id": "4003501",
                    "name": "Spicy brokoli",
                    "translations": {
                      "name": "brócoli picante"
                    },
                    "price": 0
                  }
                ],
                "image": {
                  "thumbnail_small": "                                    \"thumbnail_small\": \"/storage/images/combo_item_images/_thumbs280/2021-09-08/6fd364994648905d3a74b3f05c299b42.png\"",
                  "thumbnail_medium": "/storage/images/combo_item_images/_thumbs720/2021-09-08/6fd364994648905d3a74b3f05c299b42.png",
                  "fullsize": "/storage/images/combo_item_images/2021-09-08/6fd364994648905d3a74b3f05c299b42.png"
                },
                "combo_group": {
                  "combo_group_id": "c1d5cd5e-3f22-11ed-936c-1a67b454859d",
                  "type_id": 1,
                  "pos_id": "4003501",
                  "name": "Combos regulares (Regular)",
                  "translations": {
                    "name": "Combos regulares (Regular)"
                  }
                }
              }
            ],
            "image": {
              "thumbnail_small": "/storage/images/combo_item_images/_thumbs280/2021-09-08/6fd364994648905d3a74b3f05c299b42.png",
              "thumbnail_medium": "/storage/images/combo_item_images/_thumbs720/2021-09-08/6fd364994648905d3a74b3f05c299b42.png",
              "fullsize": "/storage/images/combo_item_images/2021-09-08/6fd364994648905d3a74b3f05c299b42.png"
            }
          }
        ],
        "discounts": [
          {}
        ],
        "payment_info": {
          "payment_method_id": "16bc0a06-9e01-44e2-b3b5-42fb1bfd94d6",
          "payment_processor_id": "\"\"",
          "properties": "\"\"",
          "status": "Paid",
          "card_type": "\"\"",
          "last_four_digits": "\"\"",
          "payment_processor_type_id": 19
        },
        "refunds": [
          {}
        ],
        "is_asap": true,
        "regret_cancel_until": "2023-06-28 10:16:21",
        "created_at": "2023-06-28 10:15:34",
        "pickup_at": "2023-06-28 10:17:33",
        "delivery_at": "\"\"",
        "additional_delivery_info": "\"\"",
        "order_additional_info": {
          "pos_wait_until_paid": true
        },
        "discount_cards": [
          {}
        ],
        "is_scheduled": true
      }
    ]
  }
}